import { jest, describe, expect, it, beforeAll } from '@jest/globals';
import { createWrapper } from 'app/tests/jest/jestHelpers';
import App from '../App.vue';

const mockPush = jest.fn();

jest.mock('vue-router', () => ({
    useRouter: () => ({
        push: mockPush,
        currentRoute: { value: 'myCurrentRoute' }
    }),
}));

// jest.mock('vue-i18n', () => ({
//     createI18n: () => { },
//     useI18n: () => ({
//         t: () => { }
//     }),
// }));

describe('App', () => {
    let vm;
    beforeAll(() => {
        const options = {
            global: {
                stubs: ['router-view']
            }
        };
        vm = createWrapper(App, options).vm;
    });

    it('should not set the token into session if any error occurred', async () => {
        // jest.spyOn(vm.routerView).mockReturnValue(routerView);
        jest.spyOn(vm.quasar, 'notify')

        let error;
        try {
            const response = {
                response: {
                    status: 403
                }
            };
            await vm.responseError(response);
        } catch (e) {
            error = e;
        }



        //await vm.onSubmit();

        expect(vm.quasar.notify).toHaveBeenCalledWith(expect.objectContaining(
            {
                type: 'negative',
                message: 'test'
            }
        ));
    });
});
