import { RouterView } from 'vue-router';

export default {
    path: '/customer',
    name: 'Customer',
    meta: {
        roles: ['developer'],
        title: 'customers',
        icon: 'vn:client'
    },
    component: RouterView,
    redirect: { name: 'CustomerMain' },
    children: [
        {
            path: '',
            name: 'CustomerMain',
            component: () => import('src/pages/Customer/CustomerMain.vue'),
            redirect: { name: 'CustomerList' },
            children: [
                {
                    path: 'list',
                    name: 'CustomerList',
                    meta: {
                        title: 'list',
                        icon: 'view_list',
                    },
                    component: () => import('src/pages/Customer/CustomerList.vue'),
                },
                {
                    path: 'create',
                    name: 'CustomerCreate',
                    meta: {
                        title: 'createCustomer',
                        icon: 'vn:addperson',
                    },
                    component: () => import('src/pages/Customer/CustomerCreate.vue'),
                },
            ]
        },
        {
            path: ':id',
            component: () => import('src/pages/Customer/Card/CustomerCard.vue'),
            redirect: { name: 'CustomerBasicData' },
            children: [
                {
                    path: 'basic-data',
                    name: 'CustomerBasicData',
                    meta: {
                        title: 'basicData'
                    },
                    component: () => import('src/pages/Customer/Card/CustomerBasicData.vue'),
                }
            ]
        },
    ]
};