import { RouterView } from 'vue-router';

export default {
    path: '/ticket',
    name: 'Ticket',
    meta: {
        roles: ['developer'],
        title: 'tickets',
        icon: 'vn:ticket'
    },
    component: RouterView,
    redirect: { name: 'TicketMain' },
    children: [
        {
            path: '',
            name: 'TicketMain',
            component: () => import('src/pages/Ticket/TicketMain.vue'),
            redirect: { name: 'TicketList' },
            children: [
                {
                    path: 'list',
                    name: 'TicketList',
                    meta: {
                        title: 'list',
                        icon: 'view_list',
                    },
                    component: () => import('src/pages/Ticket/TicketList.vue'),
                },
                {
                    path: 'create',
                    name: 'TicketCreate',
                    meta: {
                        title: 'createTicket',
                        icon: 'vn:ticketAdd',
                        roles: ['salesPerson'],
                    },
                    component: () => import('src/pages/Ticket/TicketList.vue'),
                },

            ]
        },
        {
            path: ':id',
            component: () => import('src/pages/Ticket/Card/TicketCard.vue'),
            redirect: { name: 'TicketBasicData' },
            children: [
                {
                    path: 'basic-data',
                    name: 'TicketBasicData',
                    meta: {
                        title: 'basicData'
                    },
                    component: () => import('src/pages/Ticket/Card/TicketBasicData.vue'),
                }
            ]
        },
    ]
};